Package com.pixelmed.network

## Class NetworkConfigurationFromLDAP

- java.lang.Object
- - com.pixelmed.network.NetworkConfigurationSource
  - - com.pixelmed.network.NetworkConfigurationFromLDAP

-     public class NetworkConfigurationFromLDAP
      extends NetworkConfigurationSource

  This class provides utilities to automatically configure DICOM network parameters.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `NetworkConfigurationFromLDAP.GetNetworkApplicationInformation` |

    - ### Nested classes/interfaces inherited from class com.pixelmed.network.NetworkConfigurationSource

      `NetworkConfigurationSource.DumpNetworkApplicationInformation`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected NetworkConfigurationFromLDAP.GetNetworkApplicationInformation` | `getter` |

    - ### Fields inherited from class com.pixelmed.network.NetworkConfigurationSource

      `debugLevel, DefaultDumpInfoInterval, DefaultSourceRefreshInterval, dumper, timer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetworkConfigurationFromLDAP​(int debugLevel)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `activateDiscovery​(int refreshInterval)` | Start discovery of network configuration, if possible.
    `void` | `deActivateDiscovery()` | Stop discovery.
    `protected void` | `getNetworkConfiguration()` |
    `static void` | `main​(java.lang.String[] arg)` | Test method that periodically queries an LDAP server and dumps its contents periodically.

    - ### Methods inherited from class com.pixelmed.network.NetworkConfigurationSource

      `activateDiscovery, activateDumper, activateDumper, close, deActivateDumper, getNetworkApplicationInformation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### getter

          protected NetworkConfigurationFromLDAP.GetNetworkApplicationInformation getter

  - ### Constructor Detail

    - #### NetworkConfigurationFromLDAP

          public NetworkConfigurationFromLDAP​(int debugLevel)

  - ### Method Detail

    - #### activateDiscovery

          public void activateDiscovery​(int refreshInterval)

      Description copied from class: `NetworkConfigurationSource`

      Start discovery of network configuration, if possible.

      Specified by:
        `activateDiscovery` in class `NetworkConfigurationSource`
      Parameters:
        `refreshInterval` - interval to refresh configuration in milliseconds, 0 if no refresh (runs once only); may be ignored if source is asynchronous

    - #### deActivateDiscovery

          public void deActivateDiscovery()

      Description copied from class: `NetworkConfigurationSource`

      Stop discovery.

      Specified by:
        `deActivateDiscovery` in class `NetworkConfigurationSource`

    - #### getNetworkConfiguration

          protected void getNetworkConfiguration()

    - #### main

          public static void main​(java.lang.String[] arg)

      Test method that periodically queries an LDAP server and dumps its contents periodically.

      Parameters:
        `arg` - none